Subject: Re: [rbridge] WG last call on draft-ietf-trill-rbridge-mib-02.txt

From: Anil Rijhsinghani <[email-masked]>
Date: Thu, 19 May 2011 11:24:52 -0400 (EDT)

Mingui,

I agree with Donald's response below; as for the one that remained:

> On page 4, it says "some MIB objects are not applicable".
> This is not clear. As I understood, it can be replace with "some IS-IS 
> MIB objects are not applicable in TRILL".

Yes that is what was meant, and we'll make that clarification in the 
next draft.

Regards,
Anil

On Thu, May 19, 2011 at 9:38 AM, Donald Eastlake wrote:

> Hi Mingui,
>
> I hope Anil won't mind if I respond to some of your points...
>
> On Wed, May 18, 2011 at 8:33 PM, Zhangmingui, (Mingui)
> <[email-masked]> wrote:
>> Hi,
>>
>> I have read the draft. It looks good.
>
> Thanks.
>
>> Please read the following notes.
>>
>> On page 3, it says, "like routers, they terminate the bridge spanning 
>> tree protocol."
>> Actually, STP and routing protocol run in parallel in the same 
>> network.
>
> I don't actually understand your comment. Maybe it should say "like
> routers and other end stations, ...". The point is that, although an
> RBridge port can optionally participate in spanning tree as a leaf
> node, it never interacts with other ports of the same RBridge to form
> a spanning tree branch through the RBridge. So it terminates the
> spanning tree protocol and does not propagate it through the RBridge.
> On the other hand, RBridges do propagate IS-IS and form least cost
> routes through RBridges...
>
>> On page 4, it says "some MIB objects are not applicable".
>> This is not clear. As I understood, it can be replace with "some 
>> IS-IS MIB objects are not applicable in TRILL".
>
> I'll leave that for Anil to comment on.
>
>> On page 4, it says "RBridges provide optimal pair-wise forwarding 
>> without configuration using IS-IS routing and encapsulation of 
>> traffic."
>> (1) Personally, the word "optimal" is not accurate, while "shortest" 
>> may be more proper.
>
> The word "optimal" assumes there is some metric. I think people
> generally understand it is least cost. "Shortest" would only be
> accurate if it was based on number of hops. Since it is based on link
> cost, if one was to replace "optimal", I think the best replacement
> would be "least cost".
>
>> (2) "without configuration" is not accurate either. It is appropriate 
>> to say "with least configuration".
>
> What do you have to configure? If you hook together RBridges, they
> will find each other and be able to forward over least cost paths
> based on link costs auto-configured from link speed.
>
>> (3) I know TRILL uses routing (control layer) of ISIS, but I do not 
>> know that TRILL use the encapsulation (data layer) of IS-IS?
>
> Is there an data layer of IS-IS? IS-IS just discovers the topology and
> provides least cost routes. I don't think IS-IS says anything about
> the data frame format which could be CLNP or IP or TRILL or
> whatever...
>
>> Rbridge->RBridge
>> "RBridge" are freqently typed as "Rbridge" in the text.
>
> According to the TRILL base protocol standard: "The second letter in
> Rbridge is case insensitive. Both Rbridge and RBridge are correct."
>
>> My apologies if you receive duplicates of this email. I was changing 
>> my registered email address for the mailing list.
>
> No problem,
> Thanks,
> Donald
> =============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  155 Beaver Street
>  Milford, MA 01757 USA
>  [email-masked]
>
>> --
>> Mingui Zhang
>> Huawei Technologies Co.,Ltd
>>
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]] 
>>> On
>>> Behalf Of Erik Nordmark
>>> Sent: Tuesday, May 17, 2011 2:28 AM
>>> To: [email-masked]
>>> Subject: [rbridge] WG last call on 
>>> draft-ietf-trill-rbridge-mib-02.txt
>>>
>>>
>>> This starts a two week last call on our MIB documents, which ends on 
>>> May
>>> 31st.
>>>
>>> Please send comments to the list.
>>>
>>> If you've reviewed it and think it is good, also send a message to 
>>> the list.
>>>
>>>     Erik
>>>
>>> _______________________________________________
>>> rbridge mailing list
>>> [email-masked]
>>> http://mailman.postel.org/mailman/listinfo/rbridge
>> _______________________________________________
>> rbridge mailing list
>> [email-masked]
>> http://mailman.postel.org/mailman/listinfo/rbridge
>>
>
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge